{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "MENUITEM.CAPTION.RADARCHART",
    "mOSFilePath" : "pslanguageres/Auto1373",
    "rTMOSFilePath" : "pslanguageres/Auto1373"
  },
  "caption" : "订单",
  "codeName" : "IBIZOrderRadarChartView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderRadarChartView.json",
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderRadarChartView",
  "name" : "IBIZOrderRadarChartView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "ChartView",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderRadarChartView/psappviewengines/engine",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "chart",
      "name" : "CHART",
      "paramType" : "CTRL"
    }, {
      "ctrlName" : "searchform",
      "name" : "SEARCHFORM",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup82"
  },
  "getPSControls" : [ {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSSEARCHFORMS/Default.json",
    "hookEventNames" : [ "SEARCH", "LOAD", "SAVE" ],
    "logicName" : "默认搜索表单",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdeform_searchforms/Default",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SEARCH;LOAD;SAVE",
      "logicTag" : "searchform",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_searchform",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "n_ibizordername_like",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "订单名称",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFSFITEM.IBIZORDER.N_IBIZORDERNAME_LIKE",
          "mOSFilePath" : "pslanguageres/Auto338",
          "rTMOSFilePath" : "pslanguageres/Auto338"
        },
        "caption" : "订单名称(%)",
        "codeName" : "n_ibizordername_like",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/n_ibizordername_like",
        "name" : "n_ibizordername_like",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZORDERNAME",
          "codeName" : "IBIZOrderName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "editorWidth" : 100.0,
          "name" : "n_ibizordername_like"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/n_ibizordername_like",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderRadarChartView/psappviewctrls/searchform",
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "1b5557a48588cf3b6a07b7bd6acedd53",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "Radar",
    "controlType" : "CHART",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSCHARTS/Radar.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch"
    },
    "hookEventNames" : [ "LOAD", "BEFORELOAD" ],
    "logicName" : "Radar",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdecharts/Radar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSChartCoordinateSystems" : [ {
      "eChartsType" : "radar",
      "index" : 0,
      "name" : "[radar]雷达坐标系[0]",
      "getPSChartRadar" : {
        "index" : 0,
        "name" : "[radar]雷达坐标系[0]",
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "radar",
        "id" : "0"
      },
      "type" : "RADAR",
      "id" : "0"
    } ],
    "getPSChartDataSetGroups" : [ {
      "index" : 0,
      "name" : "RadarDataSource",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchRadarDataSource"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
      },
      "id" : "0"
    } ],
    "getPSChartDataSets" : [ {
      "index" : 0,
      "name" : "radar-RadarDataSource",
      "getPSChartDataSetFields" : [ {
        "index" : 0,
        "name" : "orderstate",
        "getPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
        },
        "groupField" : true,
        "id" : "0"
      }, {
        "index" : 1,
        "name" : "IBIZORDERNAME",
        "groupField" : true,
        "id" : "1"
      }, {
        "index" : 2,
        "name" : "amount",
        "groupField" : false,
        "id" : "2"
      } ],
      "id" : "0"
    } ],
    "getPSChartRadars" : [ {
      "index" : 0,
      "name" : "[radar]雷达坐标系[0]",
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "radar",
      "id" : "0"
    } ],
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchRadarDataSource"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "图形控件处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "LOAD;BEFORELOAD",
      "logicTag" : "chart",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_chart",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CHART"
    },
    "getPSDEChartLegend" : {
      "index" : 0,
      "showLegend" : true,
      "id" : "0"
    },
    "getPSDEChartSerieses" : [ {
      "catalogField" : "orderstate",
      "getCatalogPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
      },
      "eChartsType" : "radar",
      "index" : 0,
      "name" : "radar",
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartDataSet" : {
        "modelref" : true,
        "id" : "0"
      },
      "seriesField" : "IBIZORDERNAME",
      "seriesLayoutBy" : "column",
      "seriesType" : "radar",
      "valueField" : "amount",
      "enableChartDataSet" : true
    } ],
    "getPSDEChartTitle" : {
      "index" : 0,
      "subTitle" : "虚拟数据",
      "title" : "软硬件状态统计",
      "showTitle" : true,
      "id" : "0"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderRadarChartView/psappviewctrls/chart",
    "readOnly" : true,
    "name" : "chart",
    "modelid" : "d95e9d925f919e61d9ccbf8b8be48a88",
    "modeltype" : "PSDECHART",
    "getUserParam" : {
      "EC.color" : "[\"#40c9c6\",\"#36a3f7\",\"#f4516c\",\"#34bfa3\",'#ffba00','#42d885','#1682e6','#4dd9d5']"
    }
  } ],
  "getPSDEViewCodeName" : "RadarChartView",
  "getPSDEViewId" : "45d661f29f0cfcf00eb94c3b75f3bd67",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDECHARTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderRadarChartView/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "getPSWFVersion" : {
    "modelref" : true,
    "path" : "PSWORKFLOWS/ODSP/PSWFVERSIONS/ODSPv1.json"
  },
  "getPSWorkflow" : {
    "modelref" : true,
    "path" : "PSWORKFLOWS/ODSP.json"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderRadarChartView",
  "title" : "订单图表视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZORDER.RADARCHARTVIEW",
    "mOSFilePath" : "pslanguageres/Auto862",
    "rTMOSFilePath" : "pslanguageres/Auto862"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DECHARTVIEW",
  "enableDP" : true,
  "enableQuickGroup" : false,
  "enableQuickSearch" : false,
  "enableSearch" : true,
  "expandSearchForm" : false,
  "loadDefault" : true,
  "showCaptionBar" : false,
  "modelid" : "9b26cac7654b87c53116eabebece20a1",
  "modeltype" : "PSAPPDEVIEW"
}